### Method

# Gtk Widgetset_direction

#### Declaration [src]

    void
    gtk_widget_set_direction (
      GtkWidget* widget,
      GtkTextDirection dir
    )

#### Description [src]

Sets the reading direction on a particular widget.

This direction controls the primary direction for widgets containing text, and also the direction in which the children of a container are packed. The ability to set the direction is present in order so that correct localization into languages with right-to-left reading directions can be done. Generally, applications will let the default reading direction present, except for containers where the containers are arranged in an order that is explicitly visual rather than logical (such as buttons for text justification).

If the direction is set to `GTK_TEXT_DIR_NONE`, then the value set by `gtk_widget_set_default_direction()` will be used.

#### Parameters

`dir`

  Type: `GtkTextDirection`

  The new direction.